=== ports/sysdeps/arm/armv7/multiarch/Makefile ===
ifeq ($(subdir),string)
sysdep_routines += memcpy_neon memcpy_vfp
endif
